> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.byteful.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Country

> Search Country entries using various filters.




## OpenAPI

````yaml get /public/user/country/search
openapi: 3.0.1
info:
  title: Byteful Public User API
  description: Public API used for third-party usage.
  termsOfService: https://byteful.com
  contact:
    url: https://byteful.com
    email: developer@byteful.com
  version: '1.0'
  x-logo:
    altText: Byteful
    backgroundColor: '#6354eb'
    url: >-
      https://pbs.twimg.com/profile_banners/1038803520605118464/1729783007/1500x500
servers:
  - url: https://api.byteful.com/1.0/
security: []
paths:
  /public/user/country/search:
    get:
      tags:
        - Country
      summary: Search Country
      description: |
        Search Country entries using various filters.
      parameters:
        - name: country_id
          in: query
          description: Unique two-letter identifier of the Country
          schema:
            type: string
        - name: country_name
          in: query
          description: Name of the Country
          schema:
            type: string
        - name: continent_id
          in: query
          description: Identifier of the Continent where the Country is located
          schema:
            type: string
        - name: country_is_european_union
          in: query
          description: >-
            Boolean flag indicating if the Country is a member of the European
            Union
          schema:
            type: boolean
        - name: country_alias
          in: query
          description: Alias or alternative name for the Country
          schema:
            type: string
        - name: country_node_count
          in: query
          description: The current number of online nodes in the Country
          schema:
            type: integer
        - name: per_page
          in: query
          description: Number of items per page for pagination
          schema:
            type: integer
        - name: page
          in: query
          description: Page number for pagination
          schema:
            type: integer
        - name: sort_by
          in: query
          description: Key for sorting or random.
          schema:
            type: string
      responses:
        '200':
          description: Successful Country search
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/CountrySuccessfulSearchResponse'
      security:
        - APIPrivateKey: []
          APIPublicKey: []
components:
  schemas:
    CountrySuccessfulSearchResponse:
      type: object
      properties:
        data:
          type: array
          description: >-
            Array of Country items matching the search criteria up to the limit
            of per_page paramater.
          items:
            type: object
            properties:
              continent_id:
                type: string
                example: eu
              country_alias:
                type: string
                example: fr
              country_id:
                type: string
                example: fr
              country_is_european_union:
                type: boolean
                example: true
              country_name:
                type: string
                example: France
              country_node_count:
                type: integer
                example: 1234
        item_count:
          type: integer
          description: Total number of Country items returned in the data field.
        message:
          type: string
          description: Status message for the search.
        page:
          type: integer
          description: Current page number of the search results returned.
        per_page:
          type: integer
          description: Number of Country items returned per page.
        total_count:
          type: integer
          description: Total of Country items that match the search filter.
      description: Country search was successful.
      example:
        data:
          - continent_id: eu
            country_alias: fr
            country_id: fr
            country_is_european_union: true
            country_name: France
            country_node_count: 1234
        item_count: 1
        message: Country search successful.
        page: 1
        per_page: 10
        total_count: 1
  securitySchemes:
    APIPrivateKey:
      type: apiKey
      description: ' Private API key for user-level authentication.'
      name: X-API-Private-Key
      in: header
    APIPublicKey:
      type: apiKey
      description: ' Public API key for user-level authentication.'
      name: X-API-Public-Key
      in: header

````